@RealNC

That's the "short" patch i use for Kanotix, that required that you additionally install some extra headers. Those are not there in Ubuntu (and other) default kernel packages - therefore i patched the kernel packageing. Do not expect it to work everywhere.